C***********************************************************************
C***********************************************************************
      SUBROUTINE VERTGRIDS2(NN,NNV,HDOWN,ZETA,Z)
C Include file for parameter statements
      INCLUDE 'CASCO.DIM'
C Fixed global variables
      INTEGER NN, NNV
      REAL HDOWN(NNDIM), ZETA(NNDIM)
      REAL Z(NNDIM,NNVDIM)
C-----------------------------------------------------------------------
C This subroutine must be modified by the user to assign the vertical 
C   grid under each horizontal node.  There must be assignments to
C   specify the location of the nodes in the 3-D array Z(I,J):
C
C Index range:  I=1,NN, J=1,NNV
C          NN - number of horizontal nodes
C          NNV - number of vertical nodes
C
C Z and J are positive upward:
C          Bottom:  Z=-HDOWN; J=1
C          Surface: Z= ZETA ; J=NNV
C
C-----------------------------------------------------------------------
C Two standard subroutines are available to assign values to these
C   arrays:  Subroutines UNISIGMA and SINEGRID.
C
CCCCC
C
C   Subroutine UNIGRID5 assigns uniform vertical spacing.
C   Assignment of NNV is required before this subroutine is called.
C
C      CALL UNISIGMA(NNDIM,NN,NNV,BATHY,TOTDEP,Z)
C
CCCCC
C
C   Subroutine SINEGRID5 assigns sinusiodal vertical spacing.
C   Assignment of the number of vertical nodes (NNV) and the minimum
C   node spacing at the vertical extremes of the water column (DZBL) is
C   required before this subroutine is called
C
C      CALL SINEGRID(NNDIM,NN,NNV,BATHY,TOTDEP,DZBL,Z)
C
C================Beginning-of-user-specified-instructions===============
      INTEGER I
      REAL TOTDEP(NNDIM)

      real DZBL

      DZBL=1.0
      do i = 1, nn
	 totdep(i) = hdown(i) + zeta(i)
      enddo
      CALL SINEGRID(NNDIM,NN,NNV,HDOWN,TOTDEP,DZBL,Z)
C
C End of routine
C
      RETURN
      END
